Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| Apache Derby 10.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.jdbc
Class EmbeddedXADataSource

    java.lang.Object
      org.apache.derby.jdbc.ReferenceableDataSource
          org.apache.derby.jdbc.EmbeddedDataSource
              org.apache.derby.jdbc.EmbeddedXADataSource

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.naming.spi.ObjectFactory, javax.sql.DataSource, javax.sql.XADataSource

    public class EmbeddedXADataSource

extends EmbeddedDataSource
implements javax.sql.XADataSource

EmbeddedXADataSource is Derby's XADataSource implementation for JDBC3.0.

An XADataSource is a factory for XAConnection objects. It represents a RM in a DTP environment. An object that implements the XADataSource interface is typically registered with a JNDI service provider.

EmbeddedXADataSource automatically supports the correct JDBC specification version for the Java Virtual Machine's environment.

- JDBC 3.0 - Java 2 - JDK 1.4, J2SE 5.0

EmbeddedXADataSource object only works on a local database. There is no client/server support. An EmbeddedXADataSource object must live in the same jvm as the database.

EmbeddedXADataSource is serializable and referenceable.

See EmbeddedDataSource for DataSource properties.

See Also:
  Serialized Form

Constructor Summary
`EmbeddedXADataSource()` no-arg constructor

Method Summary
`protected javax.sql.XAConnection` | `createXAConnection(org.apache.derby.iapi.jdbc.ResourceAdapter ra, java.lang.String user, java.lang.String password, boolean requestPassword)` Intantiate and return an EmbedXAConnection from this instance of EmbeddedXADataSource.
`org.apache.derby.iapi.jdbc.ResourceAdapter` | `getResourceAdapter()`
`javax.sql.XAConnection` | `getXAConnection()` Attempt to establish a database connection.
`javax.sql.XAConnection` | `getXAConnection(java.lang.String user, java.lang.String password)` Attempt to establish a database connection with the given user name and password.

Methods inherited from class org.apache.derby.jdbc.EmbeddedDataSource
`equals, getAttributesAsPassword, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getShutdownDatabase, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setShutdownDatabase`

Methods inherited from class org.apache.derby.jdbc.ReferenceableDataSource
`getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getObjectInstance, getPassword, getReference, getUser, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setUser`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.XADataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.sql.DataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### EmbeddedXADataSource

    public EmbeddedXADataSource()

  no-arg constructor

Method Detail

### getXAConnection

    public final javax.sql.XAConnection getXAConnection()
                                                 throws java.sql.SQLException

  Attempt to establish a database connection.

  Specified by:
    `getXAConnection` in interface `javax.sql.XADataSource`
  Returns:
    a Connection to the database
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getXAConnection

    public final javax.sql.XAConnection getXAConnection(java.lang.String user,
                                                        java.lang.String password)
                                                 throws java.sql.SQLException

  Attempt to establish a database connection with the given user name and password.

  Specified by:
    `getXAConnection` in interface `javax.sql.XADataSource`
  Parameters:
    `user` - the database user on whose behalf the Connection is being made
    `password` - the user's password
  Returns:
    a Connection to the database
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### createXAConnection

    protected javax.sql.XAConnection createXAConnection(org.apache.derby.iapi.jdbc.ResourceAdapter ra,
                                                        java.lang.String user,
                                                        java.lang.String password,
                                                        boolean requestPassword)
                                                 throws java.sql.SQLException

  Intantiate and return an EmbedXAConnection from this instance of EmbeddedXADataSource.

  Parameters:
    `user` -
    `password` -
  Returns:
    XAConnection
  Throws:
    `java.sql.SQLException`

### getResourceAdapter

    public org.apache.derby.iapi.jdbc.ResourceAdapter getResourceAdapter()

  Returns:
    The ResourceAdapter instance for the underlying database

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| Built on Tue 2009-04-14 13:32:48-0700, from revision 764942
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.5 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.